#ifndef INCLUDE__Function_hxx
#define INCLUDE__Function_hxx

#include "disassembler/BasicBlock.hxx"

class Function {
public:
	Function(const std::string& name, uint64_t start_address)
		: name(name)
		, start_address(start_address) {
	}

	uint64_t getStartAddress() const {
		return start_address;
	}

	std::string getName() const {
		return name;
	}
private:
	std::string name;
	uint64_t start_address;
};

#endif
